## org.ascape.util
Interface Conditional

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  StatCollectorCond, StatCollectorCondCSA, StatCollectorCondCSAMM, StatCollectorCondCSAMMVar

    public interface Conditional

extends java.io.Serializable

Describes an object which can test whether an object meets some condition.

Since:
  1.0
Version:
  1.0
Author:
  Miles Parker

Method Summary
`boolean` `meetsCondition(java.lang.Object object)` Does the object meet the specified condition?

Method Detail

### meetsCondition

    boolean meetsCondition(java.lang.Object object)

  Does the object meet the specified condition?

  Parameters:
    `object` - the object to test for condition
  Returns:
    true if test passed, otherwise false